For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Developer Tools
CommunityContact UsConsole
HomeAPI ReferenceDocsChangelog
HomeAPI ReferenceDocsChangelog
  • API Reference
      • POSTCreate file (remote upload)
      • POSTImport file
      • GETList files
      • PATCHMove file
      • PATCHRestore file
      • GETShow file
      • GETShow file upload status
      • PATCHUpdate file

© 2026 Adobe Inc. All rights reserved.

TermsPrivacyDo not sell or share my personal information
Developer-friendly docs for your API
Logo
Developer Tools
CommunityContact UsConsole
API ReferenceFiles

Show file

GET
https://api.frame.io/v4/accounts/:account_id/files/:file_id
GET
/v4/accounts/:account_id/files/:file_id
1from frameio_experimental import FrameioExperimental
2
3client = FrameioExperimental(
4 token="YOUR_TOKEN_HERE",
5)
6
7client.files.show(
8 account_id="8628a742-29c9-4cd0-9bc5-c7f594f48f96",
9 file_id="aa0bbead-2ef7-4a7c-9f08-fe1eb4400cac",
10 include="media_links.original",
11 api_version="experimental",
12)
1{
2 "data": {
3 "file_size": 1137444,
4 "id": "6a2b33f7-0ba5-412c-b510-124dd112dd45",
5 "media_type": "image/png",
6 "name": "asset.png",
7 "status": "created",
8 "created_at": "2023-09-25T19:18:29.614189Z",
9 "parent_id": "827a6d10-1a65-4ec5-87da-a6f3d61b5aff",
10 "project_id": "5c1d9036-8def-46fc-bced-1dba86114d48",
11 "type": "file",
12 "updated_at": "2024-02-07T16:44:41.986478Z",
13 "view_url": "https://next.frame.io/project/d5e6011c-2bc9-4596-be05-77d562627112/view/5a89a9fb-0900-4b23-826b-127b90e4db4c",
14 "media_links": {
15 "high_quality": {
16 "download_url": "https://assets.frame.io/uploads/cd58cb8e-24b3-4448-8d0f-9532fcd04d11/original.png?response-content-disposition=attachment%3B+filename%3D%22foo.png&Expires=1729857600&Signature=L09h0pi82dCrMYjr9lMHBragByWYh1&Key-Pair-Id=KKI497NESTHMN"
17 },
18 "original": {
19 "download_url": "https://assets.frame.io/uploads/cd58cb8e-24b3-4448-8d0f-9532fcd04d11/original.png?response-content-disposition=attachment%3B+filename%3D%22foo.png&Expires=1729857600&Signature=L09h0pi82dCrMYjr9lMHBragByWYh1&Key-Pair-Id=KKI497NESTHMN",
20 "inline_url": "https://assets.frame.io/uploads/cd58cb8e-24b3-4448-8d0f-9532fcd04d11/original.png?response-content-disposition=inline%3B+filename%3D%22foo.png&Expires=1729857600&Signature=L09h0pi82dCrMYjr9lMHBragSDFXDFh&1Key-Pair-Id=KKI497NESTHMN"
21 },
22 "thumbnail": {
23 "download_url": "https://assets.frame.io/uploads/cd58cb8e-24b3-4448-8d0f-9532fcd04d11/original.png?response-content-disposition=attachment%3B+filename%3D%22foo.png&Expires=1729857600&Signature=L09h0pi82dCrMYjr9lMHBragByWYh1&Key-Pair-Id=KKI497NESTHMN",
24 "url": "https://picture2.frame.io/image/s3://frameio-assets-development/image/cd58cb8e-24b3-4498-8d0f-9532fcd04d11/image_full.png?alg=HS256&sig=0_u7w_wz2MwQHOXp000ibbQSMRijujyaUu8V3YYPxu4&exp=1729857600"
25 }
26 },
27 "creator": {
28 "active": true,
29 "avatar_url": "https://assets.frame.io/uploads/cd58cb8e-24b3-4448-8d0f-9532fcd04d11/original.png?response-content-disposition=attachment%3B+filename%3D%22foo.png&Expires=1729857600&Signature=L09h0pi82dCrMYjr9lMHBragByWYh1&Key-Pair-Id=KKI497NESTHMN",
30 "email": "user_email@example.com",
31 "id": "196C1A5666BF4EB00A49411B@176719f5667c82b4494214.e",
32 "name": "Jon Doe"
33 },
34 "metadata": [
35 {
36 "field_type": "select",
37 "field_definition_id": "20ebde9c-80ae-4271-9e92-08d7386c18fd",
38 "field_definition_name": "Fields definition name",
39 "mutable": true,
40 "value": [
41 {
42 "display_name": "Display name",
43 "id": "c797d27e-dfeb-4581-b3de-8af3e5f45c49"
44 }
45 ],
46 "field_options": [
47 {
48 "display_name": "Display name",
49 "id": "c797d27e-dfeb-4581-b3de-8af3e5f45c49"
50 },
51 {
52 "display_name": "Display name 2",
53 "id": "468461a9-cf23-45e4-9f34-43390fcab4a1"
54 }
55 ]
56 }
57 ],
58 "project": {
59 "created_at": "2024-01-25T19:18:29.614189Z",
60 "id": "d0beb93e-527c-44e7-8fa8-0f2b0954c4f3",
61 "name": "My Project",
62 "root_folder_id": "954f9c92-f84b-403d-8941-eda2a4012cc0",
63 "status": "active",
64 "storage": 15000,
65 "updated_at": "2024-02-07T16:44:41.986478Z",
66 "view_url": "https://next.frame.io/project/d5e6011c-2bc9-4596-be05-77d562627112/",
67 "workspace_id": "bec77768-0d52-4db6-bb40-9691d3827d35",
68 "description": "Project Description",
69 "restricted": false,
70 "owner": {
71 "active": true,
72 "avatar_url": "https://assets.frame.io/uploads/cd58cb8e-24b3-4448-8d0f-9532fcd04d11/original.png?response-content-disposition=attachment%3B+filename%3D%22foo.png&Expires=1729857600&Signature=L09h0pi82dCrMYjr9lMHBragByWYh1&Key-Pair-Id=KKI497NESTHMN",
73 "email": "user_email@example.com",
74 "id": "196C1A5666BF4EB00A49411B@176719f5667c82b4494214.e",
75 "name": "Jon Doe"
76 }
77 }
78 }
79}
Show file details. <br/>Use the `include` query parameter to selectively include additional properties in the response. <br/>Note: if you include `media_links.original` and the user does not have permission to download the file then this endpoint will respond with a `403 Forbidden` error. If the content is inaccessible because watermarking is required for this user and isn't supported by the requested media_links, then the request will succeed but the unsupported media links will be set to null. Similarly, if a requested transcode link does not exist for a particular file (e.g. including `media_links.video_h264_180` on a static image file) or transoding process hasn't completed (i.e. the file's `status` is "uploaded" rather than "transcoded"), then the link will also be set to null in the response payload. In short, the client must handle null media links gracefully. <br/>Rate Limits: 5 calls per 1 second(s) per account_user
Was this page helpful?
Previous

Show file upload status

Next

Show file details.
Use the include query parameter to selectively include additional properties in the response.
Note: if you include media_links.original and the user does not have permission to download the file then this endpoint will respond with a 403 Forbidden error. If the content is inaccessible because watermarking is required for this user and isn’t supported by the requested media_links, then the request will succeed but the unsupported media links will be set to null. Similarly, if a requested transcode link does not exist for a particular file (e.g. including media_links.video_h264_180 on a static image file) or transoding process hasn’t completed (i.e. the file’s status is “uploaded” rather than “transcoded”), then the link will also be set to null in the response payload. In short, the client must handle null media links gracefully.
Rate Limits: 5 calls per 1 second(s) per account_user

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

account_idstringRequiredformat: "uuid"
A UUID String
file_idstringRequiredformat: "uuid"
A UUID String

Headers

api-versionenumRequired
Allowed values:

Query parameters

includeenumOptional
Supported include query parameter values for endpoints that return files with media links

Response headers

x-ratelimit-limitinteger
Rate limit
x-ratelimit-remaininginteger
Rate limit remaining
x-ratelimit-windowinteger
Rate limit window in milliseconds

Response

OK
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error